#!/bin/bash

echo -e "\n";echo -e "
deb https://deb.debian.org/debian stable main contrib non-free non-free-firmware \n
deb https://deb.debian.org/debian stable-updates main contrib non-free non-free-firmware\n
deb https://security.debian.org/debian-security/ stable-security main contrib non-free non-free-firmware\n
deb https://deb.debian.org/debian stable-backports main contrib non-free non-free-firmware\n
"> /etc/apt/sources.list.d/stable.list

apt-get update && sed 's#http\:#https:#' -i /etc/apt/sources.lis{t.d/*,t} && apt-get update

echo -e "\n";echo 'Mise à Jour '
apt-get --purge remove libreoffice-l10n-[a-eg-z]* firefox-esr-l10n-f[a-qs-z] firefox-esr-l10n-[a-eg-z]* libreoffice-l10n-f[a-qs-z] thunderbird-l10n-[a-eg-z]* thunderbird-l10n-f[a-qs-z] ; 
apt-get dist-upgrade 

FirmwareIndispensable="VRAI"
Firmware="VRAI"
Wifi="VRAI"
if [ A"$(lsusb |grep -i blu && lspci |grep -i blu)" != "A" ];then Bluetooth="VRAI";fi
OrdinateurPortable="VRAI"
SystemeIndispensable="VRAI"
Systeme="VRAI"
Reseau="VRAI"
Imprimante="VRAI"
Polices="VRAI"
Photos="VRAI"
AudioVideoVlc="VRAI"
AudioVideo="VRAI"
TelechargementVideo="VRAI"
DVD="VRAI"
Thunderbird="VRAI"
LibreofficeFr="VRAI"



commandes=("apt-get install -d -y " "apt-get install ")


echo -e "\n\n\n= = = = = = = = = = = = = = = = TÉLÉCHARGEMENT "
for commande in "${commandes[@]}";do 





echo -e "\n";echo ajouts;sudo $commande lxrandr


echo -e "\n";echo "pilotes(drivers) souvent utilisés" ;
if [ A"$FirmwareIndispensable" = A"VRAI" ]; then sudo $commande firmware-brcm80211 firmware-iwlwifi firmware-linux-free firmware-linux-nonfree firmware-misc-nonfree firmware-ralink broadcom-sta-common linux-headers-amd64;fi
#firmware-linux


echo -e "\n";echo "pilotes(drivers) rarement utilisés" ;
if [ A"$Firmware" = A"VRAI" ]; then sudo $commande alsa-firmware-loaders atmel-firmware bladerf-firmware-fx3 dahdi-firmware-nonfree firmware-amd-graphics firmware-ast firmware-ath9k-htc firmware-atheros firmware-b43-installer firmware-b43legacy-installer firmware-bnx2 firmware-bnx2x firmware-brcm80211 firmware-cavium firmware-intel-sound firmware-ipw2x00 firmware-ivtv firmware-iwlwifi firmware-libertas firmware-linux firmware-linux-free firmware-linux-nonfree firmware-microbit-micropython firmware-microbit-micropython-doc firmware-misc-nonfree firmware-myricom firmware-netronome firmware-netxen firmware-qcom-media firmware-qcom-soc firmware-qlogic firmware-realtek firmware-realtek-rtl8723cs-bt firmware-samsung firmware-siano firmware-sof-signed firmware-ti-connectivity firmware-tomu firmware-zd1211 gnome-firmware grub-firmware-qemu hackrf-firmware hdmi2usb-fx2-firmware isight-firmware-tools midisport-firmware nxt-firmware sigrok-firmware-fx2lafw ubertooth-firmware ubertooth-firmware-source ; fi
# firmware-adi firmware-ath9k-htc-dbgsym firmware-intelwimax firmware-qcom-media


echo -e "\n";echo "wifi"
if [ A"$Wifi" = A"VRAI" ]; then sudo $commande rfkill wireless-tools wpasupplicant;fi


echo -e "\n";echo bluetooth
if [ A"$Bluetooth" = A"VRAI" ]; then sudo $commande bluetooth blueman bluez bluez-obexd bluez-firmware pulseaudio-module-bluetooth gnome-bluetooth-3-common gnome-bluetooth-sendto ubertooth libspa-0.2-bluetooth ; fi


echo -e "\n";echo "ordinateur portable (laptop)" ;
if [ A"$OrdinateurPortable" = A"VRAI" ]; then sudo $commande upower laptop-detect;fi


echo -e "\n";echo "SYSTEME indispensable"
if [ A"$SystemeIndispensable" = A"VRAI" ]; then sudo $commande curl dpkg gparted grep gsmartcontrol less linux-headers-amd64 lshw lshw-gtk manpages-fr mesa-utils ntfs-3g usbutils wget p7zip-full smartmontools unrar-free mesa-utils rar ;apt-get -y install apt-file&& apt-file update ; fi
#apt-transport-https


echo -e "\n";echo SYSTEME
if [ A"$Systeme" = A"VRAI" ]; then sudo $commande apt-file autoconf bc binutils build-essential coreutils debconf dmidecode fail2ban fdupes gettext glew-utils grsync hardinfo hdparm htop inxi iproute2 kmod linux-source lsb-base lsb-release mbr mtools net-tools nmap openssh-server pciutils screen screen secure-delete smart-notifier subversion syslinux build-essential util-linux unace xfsprogs reiserfsprogs reiser4progs jfsutils xfsdump yelp kpartx dmraid gpart udftools strace sqlite3 net-tools genisoimage testdisk make net-tools sqlite3 libreadline[0-9] ; sudo sed 's#backend = auto#backend = systemd#' -i /etc/fail2ban/jail.conf && sudo systemctl status fail2ban ;fi
# hugin linux-headers-amd64


echo -e "\n";echo réseau
if [ A"$Reseau" = A"VRAI" ]; then sudo $commande chkrootkit fail2ban rkhunter net-tools nmap openssh-server ; sudo sed 's#backend = auto#backend = systemd#' -i /etc/fail2ban/jail.conf && sudo systemctl status fail2ban ; fi


echo -e "\n";echo imprimantes
if [ A"$Imprimante" = A"VRAI" ]; then sudo $commande cups cups-browsed cups-bsd cups-client cups-common cups-core-drivers cups-daemon cups-filters cups-filters-core-drivers cups-pk-helper cups-ppdc cups-server-common foomatic-db-compressed-ppds foomatic-db-engine openprinting-ppds printer-driver-cups-pdf printer-driver-hpcups printer-driver-cjet printer-driver-all python3-cups sane-airscan simple-scan system-config-printer xsane ; fi
# mtink
##python-cups
###cups-bsd ( ou lpr ? )


echo -e "\n";echo "puis en root ( remplacer machin par l’utilisateur )"


echo -e "\n";echo "adduser machin lp ; adduser machin lpadmin"


echo -e "\n";echo polices fonts
if [ A"$Polices" = A"VRAI" ]; then sudo $commande gsfonts gsfonts-x11 fonts-arkpandora xfonts-100dpi xfonts-75dpi ttf-mscorefonts-installer ;fi
# voir polices de caractères, fonts


echo -e "\n";echo "PHOTOS"
if [ A"$Photos" = A"VRAI" ]; then sudo $commande dcraw darktable exiftran exiv2 geeqie gimagereader gimp gimp-data gimp-data-extras gimp-texturize gimp-lensfun gimp-gutenprint gimp-gmic gtkam-gimp gmic gpscorrelate-gui icc-profiles icc-profiles-free imagemagick jhead libjpeg-progs luminance-hdr libjpeg-progs mjpegtools ;fi; sed 's#<policy domain="coder" rights="none" pattern="PDF" />#<policy domain="coder" rights="read|write" pattern="PDF" />#' -i /etc/ImageMagick-6/policy.xml
#gimp-gap
##ufraw gimp-dcraw
###gallerie


echo -e "\n";echo AUDIO/VIDEO
apt-get --purge remove ffmpeg2theora ; if [ A"$AudioVideoVlc" = A"VRAI" ]; then sudo $commande dvd+rw-tools ffmpeg libde265-0 mplayer mpg321 vlc vorbis-tools vlc-plugin-access-extra vlc-bin x264 ; fi
# ffmpeg2theora
if [ A"$AudioVideo" = A"VRAI" ]; then echo "éditeur GTK+ pour les tags de fichiers audio" ; sudo $commande easytag alsamixergui audacity flac lame mpgtx mjpegtools twolame audacity ffmpeg mencoder mkvtoolnix mkvtoolnix-gui timidity vlc-plugin-fluidsynth vlc-plugin-jack xine-ui vlc-plugin-svg rtmpdump ; echo "édition vidéo audio, sous-titres" ; sudo $commande gaupol handbrake openshot-qt; fi
#


echo -e "\n";echo "téléchargement de vidéos (ARTE...) : " ;
if [ A"$TelechargementVideo" = A"VRAI" ]; then sudo $commande python3-pip && pip3 install yt-dlp ; echo "alias ytdlp='echo \"ne pas oublier de détruire le dossier ytdlp-poub\";python3 -m venv ytdlp-poub&& source ytdlp-poub/bin/activate && pip install yt-dlp && yt-dlp \"$1\"'" >> ~/.bash_aliases ;fi
##vlc-plugin-vlsub


echo -e "\n";echo dvd cd gravage
if [ A"$DVD" = A"VRAI" ]; then sudo $commande bc brasero brasero-cdrkit dvd+rw-tools k3b kamera mpg321 normalize-audio sox vcdimager vorbis-tools ;fi


echo -e "\n";echo MAILS
if [ A"$Thunderbird" = A"VRAI" ]; then echo 'nettoyage de thunderbird : on enlève les langues inutilisées' ; apt-get --purge remove thunderbird-l10n-[a-eg-z]* thunderbird-l10n-f[a-qs-z]* ; sudo $commande thunderbird-l10n-fr thunderbird ; fi


echo -e "\n";echo nettoyage de libreoffice : on enlève les langues inutilisées
if [ A"$LibreofficeFr" = A"VRAI" ]; then apt-get --purge remove libreoffice-l10n-[a-eg-z]* libreoffice-l10n-f[a-qs-z]* ; fi
dpkg -r raspi-firmware ; dpkg --purge raspi-firmware




echo -e "\n";echo echo OCR
sudo $commande tesseract-ocr tesseract-ocr-fra gimagereader


echo -e "\n";echo echo textes, pdf, epub ...

sudo $commande calibre djvulibre-desktop djview inkscape scribus scribus-doc scribus-template


echo -e "\n";echo echo transformer d’un format en un autre

sudo $commande devtodo djvulibre-bin dvi2ps dvipng e2ps enscript ghostscript libtiff-tools markdown netpbm poppler-utils pstoedit texlive-binaries tth xmlto xpdf ytfzf



echo -e "\n";echo echo DIVERS

sudo $commande dia glew-utils openssh-server cabextract g++ git gpscorrelate-gui transmission-gtk diffpdf diffutils fldiff webhttrack qtqr

echo ’Quelques programme supplémentaires non inclus dans la pièce jointe :’











echo -e "\n\n\n= = = = = = = = = = = = = = = = INSTALLATION "
done


apt-get update
apt-get dist-upgrade
